import { AnyObject } from '@loopback/repository';
import { AuthClient, LocalUserEmailPasswordProfile, LocalUserProfile, User } from '../models';
import { LocalUserEmailPasswordProfileDto } from '../models/local-user-profile';
import { SignupFastRequestDto } from '../models/signup-fast-request.dto.model';
import { SignupRequestDto } from '../models/signup-request-dto.model';
import { SignupRequest } from '../models/signup-request.model';
import { SignupWithTokenResponseDto } from '../models/signup-with-token-response-dto.model';
import { AuthCodeGeneratorFn, SignupTokenHandlerFn } from '../providers';
import { SignupHelperService, TokenService } from '../services';
import { PreSignupFn, UserSignupFn } from '../types';
export declare class SignupController {
    private readonly preSignupFn;
    private readonly userSignupFn;
    private readonly signupHelperService;
    private readonly tokenService;
    private readonly getAuthCode;
    constructor(preSignupFn: PreSignupFn<LocalUserEmailPasswordProfile, SignupRequest>, userSignupFn: UserSignupFn<LocalUserProfile, User>, signupHelperService: SignupHelperService, tokenService: TokenService, getAuthCode: AuthCodeGeneratorFn);
    signupFast(signupFastRequest: SignupFastRequestDto, client: AuthClient): Promise<{
        code: string;
    }>;
    requestSignup(signupRequest: SignupRequestDto<LocalUserEmailPasswordProfile>, client: AuthClient, handler: SignupTokenHandlerFn): Promise<void>;
    signupWithToken(req: LocalUserEmailPasswordProfileDto, signupUser: SignupRequest): Promise<SignupWithTokenResponseDto<AnyObject>>;
    verifyInviteToken(signupUser: SignupRequest): Promise<SignupRequest>;
}
