"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidationErrors = void 0;
const berrors_1 = require("berrors");
var ValidationErrors;
(function (ValidationErrors) {
    ValidationErrors.InvalidEmail = berrors_1.BErrors.BadRequest.subclass('InvalidEmailError', 'Invalid email', 'invalid_email');
    ValidationErrors.InvalidPhone = berrors_1.BErrors.BadRequest.subclass('InvalidPhoneError', 'Invalid phone', 'invalid_phone');
    ValidationErrors.InvalidPassword = berrors_1.BErrors.BadRequest.subclass('InvalidPasswordError', 'Invalid password', 'invalid_password');
    ValidationErrors.InvalidSignup = berrors_1.BErrors.BadRequest.subclass('InvalidSignupError', 'The user you are attempting to sign up is invalid', 'invalid_signup');
    ValidationErrors.UsernameTooShort = berrors_1.BErrors.BadRequest.subclass('UsernameTooShortError', 'The username you are attempting to sign up with is too short', 'username_too_short');
    ValidationErrors.UsernameTooLong = berrors_1.BErrors.BadRequest.subclass('UsernameTooLongError', 'The username you are attempting to sign up with is too long', 'username_too_long');
    ValidationErrors.EmailOrPhoneRequired = berrors_1.BErrors.BadRequest.subclass('EmailOrPhoneRequiredError', 'Either an email or phone number is required', 'email_or_phone_required');
    ValidationErrors.PasswordDictionaryError = berrors_1.BErrors.BadRequest.subclass('PasswordDictionaryError', 'The chosen password is too common', 'password_dictionary_error');
    ValidationErrors.PasswordNoUserInfoError = berrors_1.BErrors.BadRequest.subclass('PasswordNoUserInfoError', 'The chosen password is based on user information', 'password_no_user_info_error');
    ValidationErrors.PasswordStrengthError = berrors_1.BErrors.BadRequest.subclass('PasswordStrengthError', 'The chosen password is too weak', 'password_strength_error');
    ValidationErrors.Unauthorized = berrors_1.BErrors.Unauthorized.subclass('UnauthorizedError', 'If you cannot sign up for this application. May have to do with the violation of a specific rule', 'unauthorized');
    ValidationErrors.UserExists = berrors_1.BErrors.BadRequest.subclass('UserExistsError', 'The user you are attempting to sign up has already signed up', 'user_exists');
    ValidationErrors.UsernameExists = berrors_1.BErrors.BadRequest.subclass('UsernameExistsError', 'The username you are attempting to sign up with is already in use', 'username_exists');
    ValidationErrors.EmailExists = berrors_1.BErrors.BadRequest.subclass('EmailExistsError', 'The email you are attempting to sign up with is already in use', 'email_exists');
    ValidationErrors.PhoneExists = berrors_1.BErrors.BadRequest.subclass('PhoneExistsError', 'The phone you are attempting to sign up with is already in use', 'phone_exists');
})(ValidationErrors || (exports.ValidationErrors = ValidationErrors = {}));
//# sourceMappingURL=errors.js.map