import { ModelTypes, TenantStatus, UserUpdatableEntity } from '@loopx/core';
import { TenantConfig } from './tenant-config.model';
export declare class Tenant extends UserUpdatableEntity {
    id: string;
    name: string;
    key: string;
    address?: string;
    city?: string;
    state?: string;
    zip?: string;
    country?: string;
    status: TenantStatus;
    tenantConfigs: TenantConfig[];
    constructor(data?: Partial<Tenant>);
}
export type TenantWithRelations = Tenant;
export type TenantTypes = ModelTypes<Tenant, typeof Tenant.prototype.id>;
