import { IAuthUserWithPermissions, IUserPrefs, UserStatus } from '@loopx/core';
import { User } from '../../../models';
export declare class DeviceInfo {
    userAgent?: string;
    deviceId?: string;
}
export declare class AuthUser extends User implements IAuthUserWithPermissions {
    permissions: string[];
    role: string;
    deviceInfo?: DeviceInfo;
    age?: number;
    externalAuthToken?: string;
    externalRefreshToken?: string;
    authClientId: number;
    userPreferences?: IUserPrefs;
    tenantId?: string;
    userTenantId?: string;
    passwordExpiryTime?: Date;
    status?: UserStatus;
    constructor(data?: Partial<AuthUser>);
    getIdentifier(): string | undefined;
}
