import { ILogger } from '@loopx/core';
import { CodeWriterFn } from '../../providers';
import { AuthClientRepository, OtpCacheRepository, UserCredentialsRepository, UserRepository } from '../../repositories';
import { CodeResponse, OtpLoginRequest } from './';
import { AuthUser } from './models/auth-user.model';
import { OtpSendRequest } from './models/otp-send-request.dto';
export declare class PasswordlessController {
    authClientRepository: AuthClientRepository;
    userRepo: UserRepository;
    otpCacheRepo: OtpCacheRepository;
    userCredsRepository: UserCredentialsRepository;
    logger: ILogger;
    constructor(authClientRepository: AuthClientRepository, userRepo: UserRepository, otpCacheRepo: OtpCacheRepository, userCredsRepository: UserCredentialsRepository, logger: ILogger);
    startPasswordless(req: OtpSendRequest): Promise<void>;
    verifyPasswordless(req: OtpLoginRequest, user: AuthUser | undefined, codeWriter: CodeWriterFn): Promise<CodeResponse>;
}
