"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthEntityBindings = exports.AuthCodeBindings = exports.VerifyBindings = exports.SignUpBindings = void 0;
const core_1 = require("@loopback/core");
var SignUpBindings;
(function (SignUpBindings) {
    SignUpBindings.GOOGLE_SIGN_UP_PROVIDER = core_1.BindingKey.create('loopx.google.signup.provider');
    SignUpBindings.INSTAGRAM_SIGN_UP_PROVIDER = core_1.BindingKey.create('loopx.instagram.signup.provider');
    SignUpBindings.APPLE_SIGN_UP_PROVIDER = core_1.BindingKey.create('loopx.apple.signup.provider');
    SignUpBindings.FACEBOOK_SIGN_UP_PROVIDER = core_1.BindingKey.create('loopx.facebook.signup.provider');
    SignUpBindings.KEYCLOAK_SIGN_UP_PROVIDER = core_1.BindingKey.create('loopx.keycloak.signup.provider');
    SignUpBindings.AZURE_AD_SIGN_UP_PROVIDER = core_1.BindingKey.create('loopx.azuread.signup.provider');
    SignUpBindings.COGNITO_SIGN_UP_PROVIDER = core_1.BindingKey.create('loopx.cognito.signup.provider');
    SignUpBindings.AUTHA_SIGNUP_PROVIDER = core_1.BindingKey.create('loopx.autha.signup.provider');
    SignUpBindings.PRE_LOCAL_SIGNUP_PROVIDER = core_1.BindingKey.create(`loopx.local.presignup.provider`);
    SignUpBindings.LOCAL_SIGNUP_PROVIDER = core_1.BindingKey.create(`loopx.local.signup.provider`);
    SignUpBindings.SIGNUP_HANDLER_PROVIDER = core_1.BindingKey.create(`loopx.local.signup.handler.provider`);
})(SignUpBindings || (exports.SignUpBindings = SignUpBindings = {}));
var VerifyBindings;
(function (VerifyBindings) {
    VerifyBindings.GOOGLE_PRE_VERIFY_PROVIDER = core_1.BindingKey.create('loopx.google.preverify.provider');
    VerifyBindings.GOOGLE_POST_VERIFY_PROVIDER = core_1.BindingKey.create('loopx.google.postverify.provider');
    VerifyBindings.INSTAGRAM_POST_VERIFY_PROVIDER = core_1.BindingKey.create('loopx.instgram.postverify.provider');
    VerifyBindings.INSTAGRAM_PRE_VERIFY_PROVIDER = core_1.BindingKey.create('loopx.instagram.preverify.provider');
    VerifyBindings.APPLE_PRE_VERIFY_PROVIDER = core_1.BindingKey.create('loopx.apple.preverify.provider');
    VerifyBindings.APPLE_POST_VERIFY_PROVIDER = core_1.BindingKey.create('loopx.apple.postverify.provider');
    VerifyBindings.FACEBOOK_POST_VERIFY_PROVIDER = core_1.BindingKey.create('loopx.facebook.postverify.provider');
    VerifyBindings.FACEBOOK_PRE_VERIFY_PROVIDER = core_1.BindingKey.create('loopx.facebook.preverify.provider');
    VerifyBindings.KEYCLOAK_PRE_VERIFY_PROVIDER = core_1.BindingKey.create('loopx.keycloak.preverify.provider');
    VerifyBindings.KEYCLOAK_POST_VERIFY_PROVIDER = core_1.BindingKey.create('loopx.keycloak.postverify.provider');
    VerifyBindings.COGNITO_PRE_VERIFY_PROVIDER = core_1.BindingKey.create('loopx.cognito.preverify.provider');
    VerifyBindings.COGNITO_POST_VERIFY_PROVIDER = core_1.BindingKey.create('loopx.cognito.postverify.provider');
    VerifyBindings.OTP_PROVIDER = core_1.BindingKey.create('loopx.otp.provider');
    VerifyBindings.OTP_GENERATE_PROVIDER = core_1.BindingKey.create('loopx.otp.generate.provider');
    VerifyBindings.OTP_SENDER_PROVIDER = core_1.BindingKey.create('loopx.otp.sender.provider');
    VerifyBindings.OTP_EMAIL_SENDER_PROVIDER = core_1.BindingKey.create('loopx.otp.email.sender.provider');
    VerifyBindings.OTP_SMS_SENDER_PROVIDER = core_1.BindingKey.create('loopx.otp.sms.sender.provider');
    VerifyBindings.PASSWORDLESS_VERIFIER = core_1.BindingKey.create('loopx.passwordless.verifier.provider');
    VerifyBindings.MFA_PROVIDER = core_1.BindingKey.create('loopx.mfa.check.provider');
    VerifyBindings.BEARER_SIGNUP_VERIFY_PROVIDER = core_1.BindingKey.create(`loopx.bearer.signupverify.provider`);
    VerifyBindings.AZURE_AD_PRE_VERIFY_PROVIDER = core_1.BindingKey.create('loopx.azure.preverify.provider');
    VerifyBindings.AZURE_AD_POST_VERIFY_PROVIDER = core_1.BindingKey.create('loopx.azure.postverify.provider');
    VerifyBindings.AUTHA_PRE_VERIFY_PROVIDER = core_1.BindingKey.create('loopx.autha.preverify.provider');
    VerifyBindings.AUTHA_POST_VERIFY_PROVIDER = core_1.BindingKey.create('loopx.autha.postverify.provider');
})(VerifyBindings || (exports.VerifyBindings = VerifyBindings = {}));
var AuthCodeBindings;
(function (AuthCodeBindings) {
    AuthCodeBindings.CODEWRITER_PROVIDER = core_1.BindingKey.create('loopx.auth.codewriter.provider');
    AuthCodeBindings.CODEREADER_PROVIDER = core_1.BindingKey.create('loopx.auth.codereader.provider');
    AuthCodeBindings.AUTH_CODE_GENERATOR_PROVIDER = core_1.BindingKey.create('loopx.auth-code.generator.provider');
    AuthCodeBindings.JWT_SIGNER = core_1.BindingKey.create('loopx.auth-token.generator.provider');
    AuthCodeBindings.JWT_VERIFIER = core_1.BindingKey.create('loopx.auth-token.verifier.provider');
})(AuthCodeBindings || (exports.AuthCodeBindings = AuthCodeBindings = {}));
var AuthEntityBindings;
(function (AuthEntityBindings) {
    AuthEntityBindings.DEFAULT_TENANT = core_1.BindingKey.create(`loopx.auth.tenant.default`);
    AuthEntityBindings.DEFAULT_ROLE = core_1.BindingKey.create(`loopx.auth.role.default`);
})(AuthEntityBindings || (exports.AuthEntityBindings = AuthEntityBindings = {}));
//# sourceMappingURL=keys.js.map