import { Getter } from '@loopback/core';
import { BelongsToAccessor, HasManyRepositoryFactory, juggler } from '@loopback/repository';
import { DefaultSoftCrudRepository } from '@bleco/soft-delete';
import { EntityClass } from '@loopx/core';
import { Role, Tenant, User, UserLevelPermission, UserTenant, UserTenantTypes } from '../models';
import { RoleRepository } from './role.repository';
import { TenantRepository } from './tenant.repository';
import { UserLevelPermissionRepository } from './user-level-permission.repository';
import { UserRepository } from './user.repository';
export declare class UserTenantRepository<UT extends UserTenantTypes = UserTenantTypes> extends DefaultSoftCrudRepository<UT['Model'], UT['ID'], UT['Relations']> {
    protected tenantRepositoryGetter: Getter<TenantRepository>;
    protected userRepositoryGetter: Getter<UserRepository>;
    protected roleRepositoryGetter: Getter<RoleRepository>;
    protected userLevelPermissionRepositoryGetter: Getter<UserLevelPermissionRepository>;
    readonly tenant: BelongsToAccessor<Tenant, UT['ID']>;
    readonly user: BelongsToAccessor<User, UT['ID']>;
    readonly role: BelongsToAccessor<Role, UT['ID']>;
    readonly userLevelPermissions: HasManyRepositoryFactory<UserLevelPermission, typeof UserTenant.prototype.id>;
    constructor(dataSource: juggler.DataSource, tenantRepositoryGetter: Getter<TenantRepository>, userRepositoryGetter: Getter<UserRepository>, roleRepositoryGetter: Getter<RoleRepository>, userLevelPermissionRepositoryGetter: Getter<UserLevelPermissionRepository>, entityClass?: EntityClass<UT['Model']>);
}
